#pragma once

#include "Vector2.h"

class ShapeRect
{
public:
	ShapeRect(float left, float top, float right, float bottom);
	ShapeRect(Vector2& topLeft, Vector2& bottomRight);
	ShapeRect(Vector2& topLeft, float width, float height);
	ShapeRect(Vector2& center, float halfWidth, float halfHeight, char dummy);

	bool Overlap(const ShapeRect& target) const;
	ShapeRect GetExpanded(float offset) const;

public:
	float left;
	float top;
	float right;
	float bottom;
};