#pragma once

#include "Graphics.h"
#include "Colors.h"
#include "Sound.h"
#include "ShapeRect.h"
#include "Ball.h"

class Brick
{
public:
	Brick() = default;
	Brick(ShapeRect& rect, Color c);
	void Draw(Graphics& gfx) const;
	bool BallCollision(Ball& ball);

private:
	ShapeRect rect;
	Color colour;
	bool active = true;
};